package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type SignalGetMeetingsLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewSignalGetMeetingsLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SignalGetMeetingsLogic {
	return &SignalGetMeetingsLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *SignalGetMeetingsLogic) SignalGetMeetings(in *rtc.SignalGetMeetingsReq) (*rtc.SignalGetMeetingsResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.SignalGetMeetingsResp{}, nil
}
